BasicComboPopup.PropertyChangeHandler (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicComboPopup.PropertyChangeHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicComboPopup.PropertyChangeHandler

All Implemented Interfaces:
  EventListener, PropertyChangeListener

Enclosing class:
  BasicComboPopup

protected class BasicComboPopup.PropertyChangeHandler
extends Object
implements PropertyChangeListener

This listener watches for bound properties that have changed in the combo box.

Subclasses which wish to listen to combo box property changes should call the superclass methods to ensure that the combo popup correctly handles property changes.

See Also:
  `BasicComboPopup.createPropertyChangeListener()`

Constructor Summary
`protected` | `BasicComboPopup.PropertyChangeHandler()`

Method Summary
`void` | `propertyChange(PropertyChangeEvent e)` This method gets called when a bound property is changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicComboPopup.PropertyChangeHandler

    protected BasicComboPopup.PropertyChangeHandler()

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent e)

  Description copied from interface: `PropertyChangeListener`
  This method gets called when a bound property is changed.

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`
  Parameters:
    `e` - A PropertyChangeEvent object describing the event source and the property that has changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.